Skip to content

Get flows in the WhatsApp business account (WABA) associated to the project
GA

Request

Retrieve the list of flows created in the WhatsApp business account (WABA) associated with the project.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

Query
pageTokenstring

The page token if retrieving the next page from a previous query.

pageSizenumber, [ 1 .. 100 ]

The page size requested.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/flows?pageToken=string&pageSize=1' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Flows

Bodyapplication/json
totalSizenumberrequired

Total size of the entries matching the search query.

pageSizenumberrequired

Requested size of the page.

flowsArray of objects(WhatsappFlowDto)required

List of flows in the WABA linked to the project.

previousPageTokenstring

Encoded token to use in list request to fetch previous batch of entries.

nextPageTokenstring

Encoded token to use in list request to fetch next batch of entries.

Response

Successful response to a "list flows in a project" query.

{ "totalSize": 2, "pageSize": 50, "flows": [ { … }, { … } ] }
We'd love to hear from you!
Rate this content: